 /* Estilos del botón para diferentes estados */
 .btn {
   padding: 10px 20px;
   font-size: 16px;
   border: none;
   cursor: pointer;
   color: #fff;
   transition: background-color 0.3s ease;
   position: relative;
 }

 .btn:hover {
  color: #fff;

 }

 .btn-sending {
   background-color: goldenrod !important;
   color: black;
 }

 .btn-success {
   background-color: green !important;
 }

 .btn-error {
   background-color: red !important;
 }

 .btn .progress-bar {
   position: absolute;
   top: 0;
   left: 0;
   height: 100%;
   width: 100%;
   background: rgba(255, 255, 255, 0.5);
   display: none;
 }

 .btn-sending .progress-bar {
   display: block;
   animation: progress 3s linear infinite;
 }

 @keyframes progress {
   0% {
     width: 0%;
   }

   100% {
     width: 100%;
   }
 }